For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • POSTCreate client sign off
      • GETGet additional information required to request employee termination
      • GETRetrieve Employee Time Off Data for Offboarding
      • GETRetrieve offboarding attachment
      • GETRetrieve Offboarding Request
      • GETRetrieve restricted offboarding dates
      • POSTSubmit employee resignation PTO review
      • POSTSubmit employee sign-off review for offboarding documents
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Offboarding

Retrieve offboarding attachment

GET
/eor/contracts/:contract_id/offboarding/attachments/:attachment_id
GET
/rest/v2/eor/contracts/:contract_id/offboarding/attachments/:attachment_id
$curl https://api.letsdeel.com/rest/v2/eor/contracts/123E4567/offboarding/attachments/123e4567-e89b-12d3-a456-426614174000 \
> -H "Authorization: Bearer <token>"

Downloads the content of a specific attachment associated with the termination for a given contract. Token scopes: contracts:read

Was this page helpful?
Previous

Retrieve Offboarding Request

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.
attachment_idstringRequiredformat: "uuid"
The unique identifier of the attachment to download.

Response

File download successful

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/